/***** structs.h -- recording data structures
	NeXTstep Measurement Kit
	by Alex Meyer <ameyer@phoenix.Princeton.EDU>
	for computer science senior thesis
	21 April 1992 -- created from other files
*****/

#define TM_ERR (0)
#define TM_BUTTON (1)
#define TM_SLIDER (2)
#define TM_SCROLLER (3)
#define TM_MENU (4)
#define TM_NUM (5)

#define SLIDERHIST (10)
#define SCROLLERHIST (10)

typedef struct {
	unsigned numHits;
	unsigned numCancel;
	double timeIn;
	double timeBetween;
} rButtonRec,*rButtonPtr;	/* {iidd} */

typedef struct {
	unsigned numHits;
	double timeIn;
	double timeBetween;
	unsigned histogram[SLIDERHIST];
} rSliderRec,*rSliderPtr;	/* {idd[10i]} */

typedef struct {
	unsigned numHits;
	unsigned numKNOB;
	unsigned numDECPAGE;
	unsigned numINCPAGE;
	unsigned numDECLINE;
	unsigned numINCLINE;
	unsigned numKNOBSLOT;
	double timeIn;
	double timeBetween;
	unsigned histogram[SCROLLERHIST];
} rScrollerRec,*rScrollerPtr;	/* {iiiiiiidd[10i]} */

typedef struct {
	unsigned numHits;
	unsigned numCancel;
	double timeIn;
	double timeBetween;
} rMenuRec,*rMenuPtr;	/* {iidd} */
